#ifndef PACKAGEPAGE2_H
#define PACKAGEPAGE2_H

#include "util.h"
#include "logger.h"
#include "unzip.h"

#include <QWizardPage>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkRequest>
#include <QtNetwork/QNetworkReply>
#include <QScriptEngine>
#include <QScriptValueIterator>

namespace Ui {
class PackagePage2;
}

class PackagePage2 : public QWizardPage
{
    Q_OBJECT
    
public:
    explicit PackagePage2(Logger *myLogger, QWidget *parent = 0);

    ~PackagePage2();
    
private slots:
    void on_pbCheck_clicked();
    void downloadPackagesCache(QNetworkReply *result);

    void on_cbType_currentIndexChanged(int index);
    bool validatePage();

private:
    Ui::PackagePage2 *ui;
    Logger *myLogger;
    static const QString ZipCacheFile;
    static const QString CacheFile;
    static const QString PackagesCacheUrl;
    void checkForUnzipError(UnZip::ErrorCode ec);
    void checkForPackagesInCache();
};

#endif // PACKAGEPAGE2_H
